LibreOffice: Shape Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
Shape Service Referencepublished

this service is supported from all shapes inside a PresentationDocument. More...

`import <Shape.idl;`

Inheritance diagram for Shape:

## Public Attributes
string | Bookmark
| is a generic URL for the property OnClick.
com::sun::star::util::Color | DimColor
| This is the color for dimming this shape.
boolean | DimHide
| If this property and the property com::sun::star::drawing::Shape::DimPrev are both `TRUE`, the shape is hidden instead of dimmed to a color.
boolean | DimPrevious
| If this property is `TRUE`, this shape is dimmed to the color of property com::sun::star::drawing::Shape::DimColor after executing its animation effect.
com::sun::star::presentation::AnimationEffect | Effect
| selects the animation effect of this shape.
boolean | IsEmptyPresentationObject
| If this is a default presentation object and if it is empty, this property is `TRUE`.
boolean | IsPresentationObject
| If this is a presentation object, this property is `TRUE`.
com::sun::star::presentation::ClickAction | OnClick
| selects an action performed after the user clicks on this shape.
boolean | PlayFull
| If this property is `TRUE`, the sound of this shape is played in full.
long | PresentationOrder
| This is the position of this shape in the order of the shapes which can be animated on its page.
string | Sound
| This is the URL to a sound file that is played while the animation effect of this shape is running.
boolean | SoundOn
| If this property is set to `TRUE`, a sound is played while the animation effect is executed.
com::sun::star::presentation::AnimationSpeed | Speed
| This is the speed of the animation effect.
com::sun::star::presentation::AnimationEffect | TextEffect
| This is the animation effect for the text inside this shape.
long | Verb
| specifies an "OLE2" verb for the ClickAction VERB in the property com::sun::star::drawing::Shape::OnClick.

## Detailed Description

this service is supported from all shapes inside a PresentationDocument.

This usually enhances objects of type com::sun::star::drawing::Shape with presentation properties.

Developers Guide
  Drawings and Presentations - Animations and Interactions

## Member Data Documentation

## ◆ Bookmark

string Bookmark
| property

is a generic URL for the property OnClick.

## ◆ DimColor

com::sun::star::util::Color DimColor
| property

This is the color for dimming this shape.

This color is used if the property com::sun::star::drawing::Shape::DimPrev is `TRUE` and com::sun::star::drawing::Shape::DimHide is `FALSE`.

## ◆ DimHide

boolean DimHide
| property

If this property and the property com::sun::star::drawing::Shape::DimPrev are both `TRUE`, the shape is hidden instead of dimmed to a color.

## ◆ DimPrevious

boolean DimPrevious
| property

If this property is `TRUE`, this shape is dimmed to the color of property com::sun::star::drawing::Shape::DimColor after executing its animation effect.

## ◆ Effect

com::sun::star::presentation::AnimationEffect Effect
| property

selects the animation effect of this shape.

## ◆ IsEmptyPresentationObject

boolean IsEmptyPresentationObject
| property

If this is a default presentation object and if it is empty, this property is `TRUE`.

## ◆ IsPresentationObject

boolean IsPresentationObject
| propertyreadonly

If this is a presentation object, this property is `TRUE`.

Presentation objects are objects like TitleTextShape and OutlinerShape.

## ◆ OnClick

com::sun::star::presentation::ClickAction OnClick
| property

selects an action performed after the user clicks on this shape.

## ◆ PlayFull

boolean PlayFull
| property

If this property is `TRUE`, the sound of this shape is played in full.

The default behavior is to stop the sound after completing the animation effect.

## ◆ PresentationOrder

long PresentationOrder
| property

This is the position of this shape in the order of the shapes which can be animated on its page.

The animations are executed in this order, starting at the shape with the PresentationOrder "one." You can change the order by changing this number. Setting it to "one" makes this shape the first shape in the execution order for the animation effects.

## ◆ Sound

string Sound
| property

This is the URL to a sound file that is played while the animation effect of this shape is running.

## ◆ SoundOn

boolean SoundOn
| property

If this property is set to `TRUE`, a sound is played while the animation effect is executed.

## ◆ Speed

com::sun::star::presentation::AnimationSpeed Speed
| property

This is the speed of the animation effect.

## ◆ TextEffect

com::sun::star::presentation::AnimationEffect TextEffect
| property

This is the animation effect for the text inside this shape.

## ◆ Verb

long Verb
| property

specifies an "OLE2" verb for the ClickAction VERB in the property com::sun::star::drawing::Shape::OnClick.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/Shape.idl